## k3b-dmo 25.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(k3b VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.6")
set(KF_MIN_VERSION "6.1")

set(KDE_COMPILERSETTINGS_LEVEL "5.84")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" "${ECM_MODULE_PATH}")

##################  K3b version  ################################
set(K3B_VERSION_STRING ${RELEASE_SERVICE_VERSION})

# increase on BC breakage
set(K3B_LIB_VERSION_MAJOR 8)

# increase after adding functionality
set(K3B_LIB_VERSION_MINOR 0)
set(K3B_LIB_VERSION_RELEASE 0)


##################  K3b options #################################
option(K3B_DOC "Whether to build the documentation" ON)
option(K3B_DEBUG "K3b additional debugging support" OFF)
if(K3B_DEBUG)
    add_definitions(-g)
endif()
option(K3B_ENABLE_DVD_RIPPING "Support for ripping Video DVDs with optional decryption." ON)
option(K3B_ENABLE_TAGLIB "Support for reading audio file metadata using Taglib." ON)
option(K3B_BUILD_API_DOCS "Build the API documentation for the K3b libs." OFF)

# plugin options
option(K3B_BUILD_FFMPEG_DECODER_PLUGIN "Build FFmpeg decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN "Build Ogg-Vorbis decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN "Build Ogg-Vorbis encoder plugin" ON)
option(K3B_BUILD_MAD_DECODER_PLUGIN "Build MAD mp3 decoder plugin" ON)
option(K3B_BUILD_MUSE_DECODER_PLUGIN "Build Musepack decoder plugin" ON)
option(K3B_BUILD_FLAC_DECODER_PLUGIN "Build Flac decoder plugin" ON)
option(K3B_BUILD_SNDFILE_DECODER_PLUGIN "Build libsndfile decoder plugin" ON)
option(K3B_BUILD_LAME_ENCODER_PLUGIN "Build Lame encoder plugin" ON)
option(K3B_BUILD_SOX_ENCODER_PLUGIN "Build Sox encoder plugin" ON)
option(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN "Build external app encoder plugin" ON)
option(K3B_BUILD_WAVE_DECODER_PLUGIN "Build Wave decoder plugin" ON)

##################  K3b requirements #################################
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(ECMEnableSanitizers)
include(ECMSetupQtPluginMacroNames)
include(ECMQtDeclareLoggingCategory)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Gui)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive Auth Config CoreAddons FileMetaData I18n IconThemes JobWidgets
    KCMUtils KIO Notifications NewStuff NotifyConfig Solid WidgetsAddons XmlGui)

if(K3B_DOC)
  find_package(KF6DocTools ${KF_MIN_VERSION})
  set_package_properties(KF6DocTools PROPERTIES
    DESCRIPTION "Tools to generate documentation"
    TYPE REQUIRED
  )
endif()

find_package(Qt6WebEngineWidgets)
set_package_properties(Qt6WebEngineWidgets PROPERTIES
    DESCRIPTION "QtWebEngineWidgets is used for prettier k3bdiskinfoview."
    TYPE OPTIONAL)
if(Qt6WebEngineWidgets_FOUND)
    add_definitions(-DHAVE_QTWEBENGINEWIDGETS)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

option(WITH_NEW_SOLID_JOB "WIP: base Job class" Off)
add_feature_info(Solid::Job WITH_NEW_SOLID_JOB "WIP: Base class for Solid Asynchronous apis")
if(WITH_NEW_SOLID_JOB)
    add_definitions(-DWITH_NEW_SOLID_JOB)
endif()

find_package(Iconv)
set(HAVE_ICONV "${ICONV_FOUND}")

find_package(Samplerate)
set_package_properties(Samplerate PROPERTIES
    DESCRIPTION "Audio sampling rate conversion."
    URL "http://www.mega-nerd.com/SRC"
    TYPE REQUIRED)

set(KCDDB_TARGET_NAME KCddb6)
find_package(KCddb6 5.1 REQUIRED)
set_package_properties(${KCDDB_TARGET_NAME} PROPERTIES
    DESCRIPTION "Latest branch for CDDB library"
    URL "https://commits.kde.org/libkcddb"
    TYPE REQUIRED
    PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet.")

if(K3B_ENABLE_DVD_RIPPING)
    find_package(DvdRead)
    set_package_properties(DvdRead PROPERTIES
        DESCRIPTION "Libdvdread provides a simple foundation for reading DVD video disks."
        URL "https://www.videolan.org/developers/libdvdnav.html"
        TYPE OPTIONAL)

    set(ENABLE_DVD_RIPPING "${DVDREAD_FOUND}")
endif()

if(K3B_ENABLE_TAGLIB)
    find_package(Taglib)
    set_package_properties(Taglib PROPERTIES
        DESCRIPTION "Read and write tags in audio files"
        URL "https://taglib.org/"
        TYPE OPTIONAL)

    set(ENABLE_TAGLIB "${TAGLIB_FOUND}")
endif()

if(K3B_BUILD_FFMPEG_DECODER_PLUGIN)
    find_package(FFmpeg 4.4.0)
    set_package_properties(FFmpeg PROPERTIES
        PURPOSE "Needed for the K3b FFmpeg decoder plugin which can decode virtually all audio types."
        URL "https://ffmpeg.org/"
        TYPE OPTIONAL)

    if(FFMPEG_FOUND)
        include(CheckSymbolExists)
        include(CMakePushCheckState)
        cmake_push_check_state()

        if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
            # FindKDE4Internal.cmake screws things up
            set(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS} -std=c99)
        endif()

        if(FFMPEG_INCLUDE_DIR_OLD_STYLE)
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR_OLD_STYLE})
            set(FFMPEG_HEADERS ffmpeg/avcodec.h ffmpeg/avformat.h)
        else()
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR} ${FFMPEG_INCLUDE_DIRS})
            set(FFMPEG_HEADERS libavcodec/avcodec.h libavformat/avformat.h)
            set(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS} -DNEWFFMPEGAVCODECPATH)
        endif()
        set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${FFMPEG_LIBRARIES})

        check_symbol_exists(avformat_open_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_OPEN_INPUT)
        check_symbol_exists(av_dump_format "${FFMPEG_HEADERS}" HAVE_FFMPEG_AV_DUMP_FORMAT)
        check_symbol_exists(avformat_find_stream_info "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_FIND_STREAM_INFO)
        check_symbol_exists(avformat_close_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_CLOSE_INPUT)
        check_symbol_exists(avcodec_open2 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_OPEN2)
        include(CheckCSourceCompiles)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() { enum AVMediaType t = AVMEDIA_TYPE_UNKNOWN; return 0; }
            " HAVE_FFMPEG_AVMEDIA_TYPE)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() {
            #if LIBAVCODEC_BUILD >= AV_VERSION_INT(54,25,0)
            # Not needed here. AV_CODEC_ID_MP3 exists.
            #else
            enum CodecID t = CODEC_ID_MP3;
            #endif
            return 0;
            }
            " HAVE_FFMPEG_CODEC_MP3)

        cmake_pop_check_state()
    endif()

    set(BUILD_FFMPEG_DECODER_PLUGIN "${FFMPEG_FOUND}")
endif()

if(K3B_BUILD_FLAC_DECODER_PLUGIN)
    find_package(Flac)
    set_package_properties(Flac PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "https://xiph.org/flac/"
        TYPE OPTIONAL)

    find_package(Flac++)
    set_package_properties(Flac++ PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "https://xiph.org/flac/"
        TYPE OPTIONAL)

    if(FLAC_FOUND AND FLAC++_FOUND)
        set(BUILD_FLAC_DECODER_PLUGIN 1)
    endif()
endif()

if(K3B_BUILD_MAD_DECODER_PLUGIN)
    find_package(Mad)
    set_package_properties(Mad PROPERTIES
        PURPOSE "Needed for the mp3 audio decoder plugin."
        URL "https://www.underbit.com/products/mad"
        TYPE OPTIONAL)

    set(BUILD_MAD_DECODER_PLUGIN "${MAD_FOUND}")
endif()

if(K3B_BUILD_MUSE_DECODER_PLUGIN)
    find_package(Muse)
    set_package_properties(Muse PROPERTIES
        PURPOSE "Needed for the Musepack audio decoder plugin"
        URL "https://www.musepack.net/"
        TYPE OPTIONAL)

    set(BUILD_MUSE_DECODER_PLUGIN "${Muse_FOUND}")
endif()

if(K3B_BUILD_SNDFILE_DECODER_PLUGIN)
    find_package(Sndfile)
    set_package_properties(Sndfile PROPERTIES
        PURPOSE "Needed for the libsndfile audio decoder plugin."
        URL "http://www.mega-nerd.com/libsndfile"
        TYPE OPTIONAL)

    set(BUILD_SNDFILE_DECODER_PLUGIN "${SNDFILE_FOUND}")
endif()

if(K3B_BUILD_LAME_ENCODER_PLUGIN)
    find_package(Lame)
    set_package_properties(Lame PROPERTIES
        DESCRIPTION "Lame mp3 encoder"
        PURPOSE "Needed for the lame mpf encoder encoder plugin."
        URL "https://lame.sourceforge.io/"
        TYPE OPTIONAL)

    set(BUILD_LAME_ENCODER_PLUGIN "${LAME_FOUND}")
endif()

if(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN OR K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN)
    find_package(OggVorbis)
    set_package_properties(OggVorbis PROPERTIES
        DESCRIPTION "Ogg Vorbis"
        PURPOSE "Needed for the K3b Ogg Vorbis decoder and encoder plugins."
        URL "https://xiph.org/vorbis/"
        TYPE OPTIONAL)

    set(BUILD_OGGVORBIS_DECODER_PLUGIN "${OGGVORBIS_FOUND}")
    set(BUILD_OGGVORBIS_ENCODER_PLUGIN "${OGGVORBIS_FOUND}")
endif()

###################  K3b build settings #################################
include(ConfigureChecks)

set(BUILD_WAVE_DECODER_PLUGIN "${K3B_BUILD_WAVE_DECODER_PLUGIN}")
set(BUILD_SOX_ENCODER_PLUGIN "${K3B_BUILD_SOX_ENCODER_PLUGIN}")
set(BUILD_EXTERNAL_ENCODER_PLUGIN "${K3B_BUILD_EXTERNAL_ENCODER_PLUGIN}")

set(ENABLE_HAL_SUPPORT "${K3B_ENABLE_HAL_SUPPORT}")
set(ENABLE_AUDIO_PLAYER "${QT_QTMULTIMEDIA_FOUND}")

if(IS_ABSOLUTE ${KDE_INSTALL_DATADIR})
  set(K3B_DATA_INSTALL_DIR ${KDE_INSTALL_DATADIR}/k3b)
else()
  set(K3B_DATA_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR}/k3b)
endif()

configure_file(config-k3b.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-k3b.h)
include_directories(${CMAKE_BINARY_DIR})

ecm_setup_qtplugin_macro_names(
    JSON_NONE
        K3B_EXPORT_PLUGIN
        K3B_EXPORT_PLUGIN_CONFIG_WIDGET
)

##################  K3b apidox ################################
if(K3B_BUILD_API_DOCS)
    find_package(Doxygen)

    if(DOXYGEN_EXECUTABLE)
        configure_file(${CMAKE_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_BINARY_DIR}/Doxyfile)

        if(EXISTS ${QT_DOC_DIR}/html)
            set(QTDOCS "${QT_DOC_DIR}/html")
        else()
            set(QTDOCS "https://doc.qt.io/qt-5/")
        endif()

        add_custom_target(apidox
            COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
            COMMAND docs/html/installdox -l qt6.tag@${QTDOCS} docs/html/*.html)
    endif()
endif()

##################  K3b build environment ################################
add_subdirectory( libk3bdevice )
add_subdirectory( libk3b )
add_subdirectory( src )
add_subdirectory( kioworkers )
add_subdirectory( plugins )
if(BUILD_TESTING)
    find_package(Qt6Test REQUIRED)
    find_package(LibFuzzer)
    set_package_properties(LibFuzzer PROPERTIES
        PURPOSE "libFuzzer – a library for coverage-guided fuzz testing."
        URL "https://llvm.org/docs/LibFuzzer.html"
        TYPE OPTIONAL)
    add_subdirectory(tests)
endif()

ecm_qt_install_logging_categories(
    EXPORT K3B
    FILE k3b.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(K3B_DOC)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ki18n_install(po)

###################  K3b config summary ################################
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## k3b-dmo 21.04.3

=== debian/changelog ===
k3b-dmo (1:21.04.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Jul 2021 19:36:05 +0200

k3b-dmo (1:21.04.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Jun 2021 14:35:00 +0200

k3b-dmo (1:21.04.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 May 2021 08:53:09 +0200

k3b-dmo (1:21.04.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 23 Apr 2021 08:53:53 +0200

k3b-dmo (1:20.12.3-dmo1) unstable; urgency=medium

  * New upstream release.
  * Add patch to always set permissions of external program to group
    "cdrom".

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Mar 2021 12:55:14 +0100

k3b-dmo (1:20.12.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Feb 2021 11:13:53 +0100

k3b-dmo (1:20.12.1-dmo2) unstable; urgency=medium

  * Add multi-arch support for libraries packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Jan 2021 10:37:17 +0100

k3b-dmo (1:20.12.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Jan 2021 15:40:51 +0100

k3b-dmo (1:20.12.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Dec 2020 14:49:52 +0100

k3b-dmo (1:20.08.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Nov 2020 09:41:25 +0100

k3b-dmo (1:20.08.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 09 Oct 2020 20:16:04 +0200

k3b-dmo (1:20.08.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Sep 2020 14:14:37 +0200

k3b-dmo (1:20.08.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 14 Aug 2020 07:03:02 +0200

k3b-dmo (1:20.04.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Jul 2020 09:00:48 +0200

k3b-dmo (1:20.04.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Jun 2020 14:04:34 +0200

k3b-dmo (1:20.04.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 May 2020 07:56:15 +0200

k3b-dmo (1:20.04.0-dmo2) unstable; urgency=medium

  * Rebuild (some packages are broken).

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Apr 2020 15:56:54 +0200

k3b-dmo (1:20.04.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Apr 2020 14:56:47 +0200

k3b-dmo (1:19.12.3-dmo2) unstable; urgency=medium

  * Build with libdvdread8

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Apr 2020 08:22:30 +0200

k3b-dmo (1:19.12.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Mar 2020 14:15:56 +0100

k3b-dmo (1:19.12.2-dmo2) unstable; urgency=medium

  * Use the kf5 dh addon properly.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Feb 2020 11:30:17 +0100

k3b-dmo (1:19.12.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Feb 2020 14:24:08 +0100

k3b-dmo (1:19.12.1-dmo2) unstable; urgency=medium

  * Add wodim alternative to cdrskin dependency.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 22 Jan 2020 09:20:46 +0100

k3b-dmo (1:19.12.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Jan 2020 23:42:37 +0100

k3b-dmo (1:19.12.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Dec 2019 08:52:39 +0100

k3b-dmo (1:19.08.3-dmo2) unstable; urgency=medium

  * Build with libdvdread7

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Nov 2019 07:32:54 +0100

k3b-dmo (1:19.08.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Nov 2019 13:51:10 +0100

k3b-dmo (1:19.08.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Oct 2019 18:26:53 +0200

k3b-dmo (1:19.08.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Sep 2019 14:11:57 +0200

k3b-dmo (1:19.08.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Aug 2019 17:55:45 +0200

k3b-dmo (1:19.04.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Jul 2019 14:37:38 +0200

k3b-dmo (1:19.04.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2019 07:49:05 +0200

k3b-dmo (1:19.04.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 May 2019 07:23:23 +0200

k3b-dmo (1:19.04.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 Apr 2019 00:17:09 +0200

k3b-dmo (1:18.12.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Mar 2019 13:40:20 +0100

k3b-dmo (1:18.12.2-dmo1) unstable; urgency=medium



=== debian/control ===
Source: k3b-dmo
Section: utils
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://userbase.kde.org/K3b
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, extra-cmake-modules, qtbase5-dev,
 quilt, libkf5kcmutils-dev, libkf5solid-dev, libkf5notifications-dev,
 libkf5newstuff-dev, libkf5notifyconfig-dev, libkf5filemetadata-dev,
 libkf5doctools-dev, libavformat-dev, libqt5webkit5-dev, libflac++-dev,
 libdvdread-dev, libsamplerate0-dev, libtag1-dev, libswscale-dev, libpostproc-dev,
 libmad0-dev, libmp3lame-dev, libmpcdec-dev, libvorbis-dev,
 libsndfile1-dev, pkg-kde-tools, libkf5cddb-dev, ninja-build

Package: k3b
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, k3b-data (= ${source:Version}), libk3b7 (= ${binary:Version}), wodim | cdrskin, cdparanoia, cdrdao [linux-any], genisoimage, udisks2 [linux-any]
Recommends: libk3b7-extracodecs, dvd+rw-tools, vcdimager, growisofs
Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox, movixmaker-2, kde-config-cddb
Breaks: k3b-data (<< 1:17.12.0-dmo2), libk3b7 (<<1:20.12.1-dmo2)
Description: Sophisticated CD/DVD burning application
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.

Package: k3b-data
Architecture: all
Depends: ${misc:Depends}
Replaces: k3b (<< 1:17.12.0-dmo2), libk3b7-extracodecs (<< 1:17.12.0-dmo2), libk3b7 (<< 1:17.12.0-dmo2), k3b-extrathemes (<< 1:17.12.0-dmo2)
Description: Sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Architecture: all
Depends: ${misc:Depends}
Replaces: k3b-data (<< 1:17.12.0-dmo2)
Description: Sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all
Depends: ${misc:Depends}, k3b
Description: Sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libk3b7 (= ${binary:Version}), ${misc:Depends}
Description: KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: k3b-data (<< 1:17.12.0-dmo2), libk3b7-extracodecs (<< 1:17.12.0-dmo2)
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b7-extracodecs
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: k3b-data (<< 1:17.12.0-dmo2), libk3b7 (<< 1:17.12.0-dmo2)
Description: KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Skf5+ninja --with quilt,kf5

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release -DK3B_ENABLE_HAL_SUPPORT=OFF

#	exit 1

override_dh_auto_test:

=== debian/watch ===
version=4

https://download.kde.org/stable/release-service/([\d\.]+)/src/k3b-(.*)@ARCHIVE_EXT@

## k3b-dmo 23.04.2

=== debian/changelog ===
k3b-dmo (1:23.04.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Jun 2023 20:57:09 +0200

k3b-dmo (1:23.04.1-dmo2) unstable; urgency=medium

  * Add a Replaces libk3b7-extracodecs for libk3b-extracodecs

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Jun 2023 10:25:19 +0200

k3b-dmo (1:23.04.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 May 2023 11:26:26 +0200

k3b-dmo (1:23.04.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Apr 2023 12:07:27 +0200

k3b-dmo (1:22.12.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 13:33:43 +0100

k3b-dmo (1:22.12.2-dmo2) unstable; urgency=medium

  * Re-upload with source.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Feb 2023 13:56:58 +0100

k3b-dmo (1:22.12.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Feb 2023 13:14:40 +0100

k3b-dmo (1:22.12.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Jan 2023 13:28:18 +0100

k3b-dmo (1:22.12.0-dmo5) unstable; urgency=medium

  * Fix libk3b-dev dependency.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Jan 2023 08:58:31 +0100

k3b-dmo (1:22.12.0-dmo4) unstable; urgency=medium

  * Fix k3b dependency.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Jan 2023 23:52:52 +0100

k3b-dmo (1:22.12.0-dmo3) unstable; urgency=medium

  * Rename libk3blib8 to libk3b8 and libk3blib-dev to libk3b-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Jan 2023 23:42:22 +0100

k3b-dmo (1:22.12.0-dmo2) unstable; urgency=medium

  * Rename libk3blib8-extracodecs to libk3b-extracodecs (Thanks to Safir
    Secerovic for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Dec 2022 08:58:56 +0100

k3b-dmo (1:22.12.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Dec 2022 10:13:51 +0100

k3b-dmo (1:22.08.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Nov 2022 08:46:31 +0100

k3b-dmo (1:22.08.2-dmo2) unstable; urgency=medium

  * Build with libflac++10

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Oct 2022 13:17:26 +0200

k3b-dmo (1:22.08.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Oct 2022 13:31:47 +0200

k3b-dmo (1:22.08.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Sep 2022 12:31:27 +0200

k3b-dmo (1:22.08.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Aug 2022 14:16:34 +0200

k3b-dmo (1:22.04.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Jul 2022 11:48:12 +0200

k3b-dmo (1:22.04.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Jun 2022 13:15:02 +0200

k3b-dmo (1:22.04.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 May 2022 15:41:48 +0200

k3b-dmo (1:22.04.0-dmo2) unstable; urgency=medium

  * Install documentation in the right package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Apr 2022 12:03:24 +0200

k3b-dmo (1:22.04.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Apr 2022 09:48:36 +0200

k3b-dmo (1:21.12.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Mar 2022 11:59:50 +0100

k3b-dmo (1:21.12.2-dmo2) unstable; urgency=medium

  * Rebuild for armhf

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Feb 2022 12:21:09 +0100

k3b-dmo (1:21.12.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Feb 2022 14:09:46 +0100

k3b-dmo (1:21.12.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Jan 2022 13:04:27 +0100

k3b-dmo (1:21.12.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Dec 2021 09:43:22 +0100

k3b-dmo (1:21.08.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Nov 2021 11:57:37 +0100

k3b-dmo (1:21.08.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Oct 2021 09:43:43 +0200

k3b-dmo (1:21.08.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Sep 2021 13:26:39 +0200

k3b-dmo (1:21.08.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Aug 2021 10:06:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,20 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://userbase.kde.org/K3b
-Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), cmake, extra-cmake-modules, qtbase5-dev,
  quilt, libkf5kcmutils-dev, libkf5solid-dev, libkf5notifications-dev,
  libkf5newstuff-dev, libkf5notifyconfig-dev, libkf5filemetadata-dev,
- libkf5doctools-dev, libavformat-dev, libqt5webkit5-dev, libflac++-dev,
- libdvdread-dev, libsamplerate0-dev, libtag1-dev, libswscale-dev, libpostproc-dev,
- libmad0-dev, libmp3lame-dev, libmpcdec-dev, libvorbis-dev,
- libsndfile1-dev, pkg-kde-tools, libkf5cddb-dev, ninja-build
+ libkf5doctools-dev, libqt5webkit5-dev, libflac++-dev (>= 1.4.1~),
+ libdvdread-dev, libsamplerate0-dev, libtag1-dev, libavcodec-dev, libavformat-dev,
+ libmad0-dev, libmp3lame-dev, libmpcdec-dev, libvorbis-dev, libsndfile1-dev,
+ pkg-kde-tools, libkf5cddb-dev (>= 4:21.08~), ninja-build
 
 Package: k3b
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, k3b-data (= ${source:Version}), libk3b7 (= ${binary:Version}), wodim | cdrskin, cdparanoia, cdrdao [linux-any], genisoimage, udisks2 [linux-any]
-Recommends: libk3b7-extracodecs, dvd+rw-tools, vcdimager, growisofs
+Depends: ${shlibs:Depends}, ${misc:Depends}, k3b-data (= ${source:Version}), libk3b8 (= ${binary:Version}), wodim | cdrskin, cdparanoia, cdrdao [linux-any], genisoimage, udisks2 [linux-any]
+Recommends: libk3b-extracodecs, dvd+rw-tools, vcdimager, growisofs
 Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox, movixmaker-2, kde-config-cddb
 Breaks: k3b-data (<< 1:17.12.0-dmo2), libk3b7 (<<1:20.12.1-dmo2)
 Description: Sophisticated CD/DVD burning application
@@ -65,7 +66,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libk3b7 (= ${binary:Version}), ${misc:Depends}
+Depends: libk3b8 (= ${binary:Version}), ${misc:Depends}
+Replaces: libk3blib-dev (<< 1:22.12.0-dmo3)
+Conflicts: libk3blib-dev (<< 1:22.12.0-dmo3)
 Description: KDE CD/DVD burning application library - development files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -74,12 +77,13 @@
  .
  This package contains development files.
 
-Package: libk3b7
+Package: libk3b8
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: k3b-data (<< 1:17.12.0-dmo2), libk3b7-extracodecs (<< 1:17.12.0-dmo2)
+Replaces: k3b-data (<< 1:17.12.0-dmo2), libk3b7-extracodecs (<< 1:17.12.0-dmo2), libk3blib8 (<< 1:22.12.0-dmo3)
+Conflicts: libk3blib8 (<< 1:22.12.0-dmo3)
 Description: KDE CD/DVD burning application library - runtime files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -88,16 +92,17 @@
  .
  This package contains runtime libraries.
 
-Package: libk3b7-extracodecs
+Package: libk3b-extracodecs
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: k3b-data (<< 1:17.12.0-dmo2), libk3b7 (<< 1:17.12.0-dmo2)
+Replaces: k3b-data (<< 1:17.12.0-dmo2), libk3b7, libk3blib8-extracodecs, libk3b7-extracodecs
+Conflicts: libk3blib8-extracodecs (<< 1:22.12.0-dmo2)
 Description: KDE CD/DVD burning application library - extra decoders
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
  of the burning process the beginner may find comfort in the automatic settings
  and the reasonable k3b defaults which allow a quick start.
  .
- This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.
+ This package contains runtime libraries for the MP3 decoder plugin.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Skf5+ninja --with quilt,kf5

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DK3B_ENABLE_HAL_SUPPORT=OFF

#	exit 1

override_dh_auto_test:

## k3b-dmo 25.04.3

=== debian/changelog ===
k3b-dmo (1:25.04.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Jul 2025 07:41:32 +0200

k3b-dmo (1:25.04.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Jun 2025 14:46:33 +0200

k3b-dmo (1:25.04.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 May 2025 11:44:05 +0200

k3b-dmo (1:25.04.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Apr 2025 11:36:04 +0200

k3b-dmo (1:24.12.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Mar 2025 17:16:58 +0100

k3b-dmo (1:24.12.2-dmo1+b1) unstable; urgency=medium

  * Build with libflac++11

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Feb 2025 15:58:32 +0100

k3b-dmo (1:24.12.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Feb 2025 14:53:17 +0100

k3b-dmo (1:24.12.1-dmo1+b1) unstable; urgency=medium

  * Build with libtag2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Jan 2025 09:23:22 +0100

k3b-dmo (1:24.12.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Jan 2025 14:55:11 +0100

k3b-dmo (1:24.12.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 Dec 2024 08:42:18 +0100

k3b-dmo (1:24.08.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Nov 2024 18:43:00 +0100

k3b-dmo (1:24.08.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Oct 2024 11:42:00 +0200

k3b-dmo (1:24.08.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Sep 2024 15:23:13 +0200

k3b-dmo (1:24.08.0-dmo2) unstable; urgency=medium

  * Don't build with qt6-webengine-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Aug 2024 17:38:10 +0200

k3b-dmo (1:24.08.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Aug 2024 15:48:57 +0200

k3b-dmo (1:24.05.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Jul 2024 22:17:44 +0200

k3b-dmo (1:24.05.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Jun 2024 16:13:44 +0200

k3b-dmo (1:24.05.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove included ffmpeg 7.0 upstream patch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 May 2024 13:22:16 +0200

k3b-dmo (1:24.02.2-dmo2) unstable; urgency=medium

  * Add upstream patch to fix build with ffmpeg 7.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Apr 2024 08:10:39 +0200

k3b-dmo (1:24.02.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 12 Apr 2024 08:39:40 +0200

k3b-dmo (1:24.02.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Mar 2024 14:42:32 +0100

k3b-dmo (1:24.02.0-dmo3) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Mar 2024 15:58:56 +0100

k3b-dmo (1:24.02.0-dmo2) unstable; urgency=medium

  * Rebuild to fix broken i386 dependencies

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Mar 2024 08:39:10 +0100

k3b-dmo (1:24.02.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Feb 2024 17:36:23 +0100

k3b-dmo (1:23.08.5-dmo2) unstable; urgency=medium

  * Rename libraries for 64-bit time_t transition.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Feb 2024 10:50:29 +0100

k3b-dmo (1:23.08.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Feb 2024 15:38:06 +0100

k3b-dmo (1:23.08.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Dec 2023 10:44:50 +0100

k3b-dmo (1:23.08.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Nov 2023 11:41:52 +0100

k3b-dmo (1:23.08.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Oct 2023 14:08:47 +0200

k3b-dmo (1:23.08.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Don't build with optional qtwebengine support

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Sep 2023 16:25:56 +0200

k3b-dmo (1:23.08.0-dmo2) unstable; urgency=medium

  * Don't depends on qtwebengine5-dev for armel.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Aug 2023 08:32:03 +0200

k3b-dmo (1:23.08.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Aug 2023 11:29:12 +0200

k3b-dmo (1:23.04.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Jul 2023 15:25:58 +0200

## k3b-dmo 25.08.1

=== debian/changelog ===
k3b-dmo (1:25.08.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 12 Sep 2025 08:19:47 +0200

k3b-dmo (1:25.08.0-dmo2) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Sep 2025 07:51:05 +0200

k3b-dmo (1:25.08.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Aug 2025 15:28:55 +0200

## k3b-dmo 25.08.2

=== debian/changelog ===
k3b-dmo (1:25.08.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Oct 2025 07:41:05 +0200

=== debian/control ===
Source: k3b-dmo
Section: utils
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://apps.kde.org/k3b/
Standards-Version: 4.7.2
Build-Conflicts: qt6-webengine-dev,
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), cmake,
 extra-cmake-modules, quilt, libkf6kcmutils-dev, libkf6solid-dev,
 libkf6notifications-dev, libkf6newstuff-dev, libkf6notifyconfig-dev,
 libkf6filemetadata-dev, libkf6doctools-dev, libflac++-dev (>= 1.4.1~),
 libkf6auth-dev, libdvdread-dev, libsamplerate0-dev, libtag-dev,
 libavcodec-dev, libavformat-dev, libmad0-dev, libmp3lame-dev,
 libmpcdec-dev, libvorbis-dev, libsndfile1-dev, pkg-kde-tools,
 libkcddb6-dev, ninja-build, libkf6iconthemes-dev, libkf6xmlgui-dev,
 qt6-5compat-dev,

Package: k3b
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, k3b-data (= ${source:Version}), libk3b8t64 (= ${binary:Version}), wodim | cdrskin, cdparanoia, cdrdao [linux-any], genisoimage, udisks2 [linux-any],
Recommends: libk3b-extracodecs, dvd+rw-tools, vcdimager, growisofs,
Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox, movixmaker-2, kde-config-cddb,
Breaks: k3b-data (<< 1:17.12.0-dmo2), libk3b7 (<<1:20.12.1-dmo2),
Description: Sophisticated CD/DVD burning application
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.

Package: k3b-data
Architecture: all
Depends: ${misc:Depends},
Replaces: k3b (<< 1:17.12.0-dmo2), libk3b7-extracodecs (<< 1:17.12.0-dmo2), libk3b7 (<< 1:17.12.0-dmo2), k3b-extrathemes (<< 1:17.12.0-dmo2),
Description: Sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Architecture: all
Depends: ${misc:Depends},
Replaces: k3b-data (<< 1:17.12.0-dmo2),
Description: Sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all
Depends: ${misc:Depends}, k3b,
Description: Sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libk3b8t64 (= ${binary:Version}), ${misc:Depends}, 
Replaces: libk3blib-dev (<< 1:22.12.0-dmo3),
Conflicts: libk3blib-dev (<< 1:22.12.0-dmo3),
Description: KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b8t64
Provides: ${t64:Provides},
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Replaces: k3b-data (<< 1:17.12.0-dmo2), libk3b7-extracodecs (<< 1:17.12.0-dmo2), libk3blib8 (<< 1:22.12.0-dmo3), libk3b8,
Breaks: libk3blib8 (<< 1:22.12.0-dmo3), libk3b8 (<< ${source:Version}),
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b-extracodecs
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Replaces: k3b-data (<< 1:17.12.0-dmo2), libk3b7, libk3blib8-extracodecs, libk3b7-extracodecs,
Conflicts: libk3blib8-extracodecs (<< 1:22.12.0-dmo2),
Description: KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 decoder plugin.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Skf6+ninja --with quilt,kf6

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DK3B_ENABLE_HAL_SUPPORT=OFF

#	exit 1

#override_dh_auto_test:

## k3b-dmo 25.08.3

=== debian/changelog ===
k3b-dmo (1:25.08.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Nov 2025 15:11:52 +0100

## k3b-dmo 25.12.0

=== debian/changelog ===
k3b-dmo (1:25.12.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Dec 2025 15:30:05 +0100

## k3b-dmo 25.12.1

=== debian/changelog ===
k3b-dmo (1:25.12.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Jan 2026 14:52:38 +0100

## k3b-dmo 25.12.2

=== debian/changelog ===
k3b-dmo (1:25.12.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Feb 2026 15:04:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: k3b-dmo
 Section: utils
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://apps.kde.org/k3b/
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Conflicts: qt6-webengine-dev,
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), cmake,
  extra-cmake-modules, quilt, libkf6kcmutils-dev, libkf6solid-dev,
